Skip to content

m2eclipse

m2eclipse published on m2eclipse へのコメントはまだありません

mavenって何か良く分かってなかったけど、最近sbtを触ってるうちに、mavenが何をするものかは何となく分かってきた。とはいえ、今の所必要ないし特に使ってなかったんだけど、PARTAKEソースを見てるうちに少し動かしたくなって、そしたらmavenが必須みたいなので、仕方なく使う事にした。

■必要なもの

  • Eclipse
  • m2eclipse
  • mavenは別途入れる必要なし

■インストール・設定

m2eclipseに関しては、こちらのページに最新情報も含めて詳しく書いてあった。

Eclipseに普通にプラグインをインストールする要領でやれば良いんだけど、起動時に以下のようなダイアログが出る。

m2eclipse-requires-jdk.png

メッセージとしては以下の通り。

The Maven Integration requires that Eclipse be running in a JDK, because a number of Maven core plugins are using jars from the JDK.

まぁ、要はm2eclipseを動かすには、EclipseをJDKで動かす必要があるって感じ。設定方法としては、eclipse.iniに以下の2行を書けばOK(環境に応じてパスは変更する)。

-vm
C:Program FilesJavajdk1.6.0_21binjavaw

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です